## gdpc 1.0.0

=== DESCRIPTION ===
Package: gdpc
Type: Package
Title: Generalized Dynamic Principal Components
Version: 1.0.0
Date: 2016-11-08
Author: Daniel Peña <daniel.pena@uc3m.es>,
    Ezequiel Smucler <ezequiels.90@gmail.com>,
    Victor Yohai <vyohai@dm.uba.ar>
Maintainer: Ezequiel Smucler <ezequiels.90@gmail.com>
Description: Functions to compute the Generalized Dynamic Principal Components
    introduced in Peña and Yohai (2016) <DOI:10.1080/01621459.2015.1072542>.
License: GPL (>= 2)
Imports: xts, methods, Rcpp (>= 0.12.7), parallel, doParallel, foreach
LinkingTo: Rcpp, RcppArmadillo (>= 0.7.500.0.0)
Depends: R (>= 3.3.1)
NeedsCompilation: yes
Encoding: UTF-8
Packaged: 2016-11-09 12:49:31 UTC; ezequiel
Repository: CRAN
Date/Publication: 2016-11-10 08:18:52

## gdpc 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gdpc
 Type: Package
 Title: Generalized Dynamic Principal Components
-Version: 1.0.0
-Date: 2016-11-08
+Version: 1.0.1
+Date: 2017-01-17
 Author: Daniel Peña <daniel.pena@uc3m.es>,
     Ezequiel Smucler <ezequiels.90@gmail.com>,
     Victor Yohai <vyohai@dm.uba.ar>
@@ -15,6 +15,6 @@
 Depends: R (>= 3.3.1)
 NeedsCompilation: yes
 Encoding: UTF-8
-Packaged: 2016-11-09 12:49:31 UTC; ezequiel
+Packaged: 2017-01-19 21:36:24 UTC; ezequiel
 Repository: CRAN
-Date/Publication: 2016-11-10 08:18:52
+Date/Publication: 2017-01-20 00:01:54

## gdpc 1.0.2

=== DESCRIPTION ===
Package: gdpc
Type: Package
Title: Generalized Dynamic Principal Components
Version: 1.0.2
Date: 2017-02-14
Author: Daniel Peña <daniel.pena@uc3m.es>,
    Ezequiel Smucler <ezequiels.90@gmail.com>,
    Victor Yohai <vyohai@dm.uba.ar>
Maintainer: Ezequiel Smucler <ezequiels.90@gmail.com>
Description: Functions to compute the Generalized Dynamic Principal Components
    introduced in Peña and Yohai (2016) <DOI:10.1080/01621459.2015.1072542>.
License: GPL (>= 2)
Imports: xts, zoo, methods, Rcpp (>= 0.12.7), parallel, doParallel,
        foreach
LinkingTo: Rcpp, RcppArmadillo (>= 0.7.500.0.0)
Depends: R (>= 3.3.1)
NeedsCompilation: yes
Encoding: UTF-8
Packaged: 2017-02-21 21:34:48 UTC; ezequiel
Repository: CRAN
Date/Publication: 2017-02-22 08:42:23

## gdpc 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gdpc
 Type: Package
 Title: Generalized Dynamic Principal Components
-Version: 1.0.2
-Date: 2017-02-14
+Version: 1.0.3
+Date: 2017-12-01
 Author: Daniel Peña <daniel.pena@uc3m.es>,
     Ezequiel Smucler <ezequiels.90@gmail.com>,
     Victor Yohai <vyohai@dm.uba.ar>
@@ -16,6 +16,6 @@
 Depends: R (>= 3.3.1)
 NeedsCompilation: yes
 Encoding: UTF-8
-Packaged: 2017-02-21 21:34:48 UTC; ezequiel
+Packaged: 2017-12-01 22:37:57 UTC; ezequiel
 Repository: CRAN
-Date/Publication: 2017-02-22 08:42:23
+Date/Publication: 2017-12-01 23:17:10 UTC

## gdpc 1.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gdpc
 Type: Package
 Title: Generalized Dynamic Principal Components
-Version: 1.0.3
-Date: 2017-12-01
+Version: 1.1.0
+Date: 2018-05-08
 Author: Daniel Peña <daniel.pena@uc3m.es>,
     Ezequiel Smucler <ezequiels.90@gmail.com>,
     Victor Yohai <vyohai@dm.uba.ar>
@@ -13,9 +13,10 @@
 Imports: xts, zoo, methods, Rcpp (>= 0.12.7), parallel, doParallel,
         foreach
 LinkingTo: Rcpp, RcppArmadillo (>= 0.7.500.0.0)
-Depends: R (>= 3.3.1)
+Suggests: testthat
+Depends: R (>= 3.3.0)
 NeedsCompilation: yes
 Encoding: UTF-8
-Packaged: 2017-12-01 22:37:57 UTC; ezequiel
+Packaged: 2018-05-08 17:19:34 UTC; ezequiel
 Repository: CRAN
-Date/Publication: 2017-12-01 23:17:10 UTC
+Date/Publication: 2018-05-08 21:56:00 UTC

## gdpc 1.1.1

=== DESCRIPTION ===
Package: gdpc
Type: Package
Title: Generalized Dynamic Principal Components
Version: 1.1.1
Date: 2020-02-22
Author: Daniel Peña <daniel.pena@uc3m.es>,
    Ezequiel Smucler <ezequiels.90@gmail.com>,
    Victor Yohai <vyohai@dm.uba.ar>
Maintainer: Ezequiel Smucler <ezequiels.90@gmail.com>
Description: Functions to compute the Generalized Dynamic Principal Components
    introduced in Peña and Yohai (2016) <DOI:10.1080/01621459.2015.1072542>. The implementation
    includes an automatic procedure proposed in Peña, Smucler and Yohai (2020) <DOI:10.18637/jss.v092.c02>
    for the identification of both the number of lags to be used
    in the generalized dynamic principal components as well as the number of components required
    for a given reconstruction accuracy.
License: GPL (>= 2)
Imports: xts, zoo, methods, Rcpp (>= 0.12.7), parallel, doParallel,
        foreach
LinkingTo: Rcpp, RcppArmadillo (>= 0.7.500.0.0)
Suggests: testthat
Depends: R (>= 3.3.0)
NeedsCompilation: yes
Encoding: UTF-8
Packaged: 2020-02-23 02:10:48 UTC; ezequiel
Repository: CRAN
Date/Publication: 2020-02-23 14:20:06 UTC

## gdpc 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gdpc
 Type: Package
 Title: Generalized Dynamic Principal Components
-Version: 1.1.1
-Date: 2020-02-22
+Version: 1.1.2
+Date: 2021-02-07
 Author: Daniel Peña <daniel.pena@uc3m.es>,
     Ezequiel Smucler <ezequiels.90@gmail.com>,
     Victor Yohai <vyohai@dm.uba.ar>
@@ -17,10 +17,11 @@
 Imports: xts, zoo, methods, Rcpp (>= 0.12.7), parallel, doParallel,
         foreach
 LinkingTo: Rcpp, RcppArmadillo (>= 0.7.500.0.0)
-Suggests: testthat
+Suggests: testthat, R.rsp
 Depends: R (>= 3.3.0)
 NeedsCompilation: yes
 Encoding: UTF-8
-Packaged: 2020-02-23 02:10:48 UTC; ezequiel
+VignetteBuilder: R.rsp
+Packaged: 2021-02-09 18:46:12 UTC; esmucler
 Repository: CRAN
-Date/Publication: 2020-02-23 14:20:06 UTC
+Date/Publication: 2021-02-09 19:20:08 UTC

## gdpc 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gdpc
 Type: Package
 Title: Generalized Dynamic Principal Components
-Version: 1.1.2
-Date: 2021-02-07
+Version: 1.1.3
+Date: 2022-10-19
 Author: Daniel Peña <daniel.pena@uc3m.es>,
     Ezequiel Smucler <ezequiels.90@gmail.com>,
     Victor Yohai <vyohai@dm.uba.ar>
@@ -22,6 +22,6 @@
 NeedsCompilation: yes
 Encoding: UTF-8
 VignetteBuilder: R.rsp
-Packaged: 2021-02-09 18:46:12 UTC; esmucler
+Packaged: 2022-10-22 09:32:05 UTC; ezequielsmucler
 Repository: CRAN
-Date/Publication: 2021-02-09 19:20:08 UTC
+Date/Publication: 2022-10-22 22:05:11 UTC

## gdpc 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: gdpc
 Type: Package
 Title: Generalized Dynamic Principal Components
-Version: 1.1.3
-Date: 2022-10-19
+Version: 1.1.4
+Date: 2023-11-19
 Author: Daniel Peña <daniel.pena@uc3m.es>,
     Ezequiel Smucler <ezequiels.90@gmail.com>,
     Victor Yohai <vyohai@dm.uba.ar>
@@ -22,6 +22,6 @@
 NeedsCompilation: yes
 Encoding: UTF-8
 VignetteBuilder: R.rsp
-Packaged: 2022-10-22 09:32:05 UTC; ezequielsmucler
+Packaged: 2023-11-19 14:31:28 UTC; ezequielsmucler
 Repository: CRAN
-Date/Publication: 2022-10-22 22:05:11 UTC
+Date/Publication: 2023-11-19 15:20:02 UTC

## gdpc 2.2.4

=== Makefile ===
CC = gcc -g
CFLAGS=-Wall `pkg-config --cflags gtk+-2.0 gthread-2.0` -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
LIBS=`pkg-config --libs gtk+-2.0 gthread-2.0`
bindir ?= /usr/bin

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $<

gdpc: main.o colors.o sort.o drawatoms.o readinput.o init.o rotate.o setup.o Makefile
	$(CC) $(CFLAGS) -o gdpc main.o colors.o drawatoms.o init.o sort.o rotate.o setup.o readinput.o $(LIBS)

main.o: main.c parameters.h

colors.o: colors.c parameters.h

readinput.o: readinput.c parameters.h

drawatoms.o: drawatoms.c parameters.h

init.o: init.c parameters.h

sort.o: sort.c parameters.h

rotate.o: rotate.c parameters.h

setup.o: setup.c parameters.h tooltips.h

clean:
	rm *.o gdpc

install:
	install gdpc $(bindir)

uninstall:
	rm $(bindir)/gdpc

## gdpc 2.2.5

=== Makefile ===
CC = gcc
FLAGS=$(CFLAGS) -g -Wall `pkg-config --cflags gtk+-2.0 gthread-2.0` -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
LIBS=`pkg-config --libs gtk+-2.0 gthread-2.0`
bindir ?= /usr/bin

.c.o:
	$(CC) -c $(FLAGS) $(CPPFLAGS) $<

gdpc: main.o colors.o sort.o drawatoms.o readinput.o init.o rotate.o setup.o Makefile
	$(CC) $(CFLAGS) -o gdpc main.o colors.o drawatoms.o init.o sort.o rotate.o setup.o readinput.o $(LIBS)

main.o: main.c parameters.h

colors.o: colors.c parameters.h

readinput.o: readinput.c parameters.h

drawatoms.o: drawatoms.c parameters.h

init.o: init.c parameters.h

sort.o: sort.c parameters.h

rotate.o: rotate.c parameters.h

setup.o: setup.c parameters.h tooltips.h

clean:
	rm *.o gdpc

install:
	install -p -m 755 -D gdpc $(bindir)/gdpc

uninstall:
	rm $(bindir)/gdpc

=== debian/changelog ===
gdpc (2.2.5-17) unstable; urgency=medium

  * Team upload.
  * Run wrap-and-sort -ast.
  * debian/patches/gtk3.patch: New; port to GTK 3 (Closes: #967379).
  * debian/patches/buffer-overflow.patch: New; fix buffer overflows,
    uninitialized variables and some other issues. (Closes: #982103).
  * debian/patches/sscanf-locale.patch: New; fix parsing of input files.
  * debian/patches/spelling.patch: Fix Last-Update field.
  * debian/patches/hardening.patch: Likewise.
  * debian/patches/cross.patch: Likewise.
  * debian/patches/40_fix_gcc4.8_build.patch: Likewise.
  * debian/patches/41_glib_deprecated_funcs.patch: Likewise.
  * debian/control (Build-Depends): Replace libgtk2.0-dev with
    libgtk-3-dev.
    (Priority, Rules-Requires-Root): Remove; obsolete.
    (Standards-Version): Claim complicance with 4.7.3; no changes needed.
    (Suggests): Remove gqview, no longer in Debian (Closes: #1118130).
    (Architecture): Set to any; there's no reason to exclude anything.
  * debian/tests/run-unit-test: Run md.test from gdb in batch mode as a
    temporary measure (it fails on Salsa CI but I cannot reproduce on
    amd64, i386, ppc64el and s390x).
  * debian/tests/control (Depends): Add gdb and needed -dbgsym packages.
    (Architecture): Remove field.
  * debian/gdpc.desktop: Add Keywords field.
  * debian/watch: Upgrade to version 5.
  * debian/copyright: Replace FSF's old address with the canonical URL.
    Update copyright years for Debian packaging.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Jan 2026 12:48:29 +0200

gdpc (2.2.5-16) unstable; urgency=medium

  * Add build support for loongarch64
    Closes: #1058674
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2023 18:31:16 +0100

gdpc (2.2.5-15) unstable; urgency=medium

  * create icon gdpc.png for the application; this should make it easier for
    desktop users to recognize gdpc menu entry and launchers
  * debian/control:
      - update uploader address
      - mark gdpc-examples Multi-Arch: foreign
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 22 Aug 2021 23:13:37 +0200

gdpc (2.2.5-14) unstable; urgency=medium

  * Remove ppc64el from autopkgtest
    Closes: #981876

 -- Andreas Tille <tille@debian.org>  Fri, 21 May 2021 14:15:14 +0200

gdpc (2.2.5-13) unstable; urgency=medium

  * d/{,t/}control: remove all 32-bits architectures support; see #981876 for
    the context (also, refer to #982103 about s390x exclusion)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 08 Feb 2021 21:36:52 +0100

gdpc (2.2.5-12) unstable; urgency=medium

  * Add myself to uploaders.
  * d/{,t/}control: exclude i386 and s390x from supported architectures.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 06 Feb 2021 17:27:12 +0100

gdpc (2.2.5-11) unstable; urgency=medium

  * Nelson A. de Oliveira left Debian so remove him from Uploaders
    (Thanks Nelson for your work on this package)
    Closes: #962108
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2020 18:39:53 +0100

gdpc (2.2.5-10) unstable; urgency=medium

  [ Graham Inggs ]
  * Fix autopkgtest
    Closes: #941581

  [ Andreas Tille ]
  * Add debug output to autopkgtest to enable catching failures
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jan 2020 17:00:44 +0100

gdpc (2.2.5-9) unstable; urgency=medium

  * Homepage seems to have vanished.  Set homepage to what was found at
    2018-02-12 by web.archive.org
  * Fake watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 15:29:12 +0100

gdpc (2.2.5-8) unstable; urgency=medium

  * Add missing xauth to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2017 15:59:29 +0100

gdpc (2.2.5-7) unstable; urgency=medium

  * Do not use the build architecture pkg-config (Thanks for the patch to
    Helmut Grohne <helmut@subdivi.de>)
    Closes: #883892
  * Standards-Version: 4.1.2
  * debhelper 10
  * Activate autopkgtest using xvfb - no idea whether this makes real sense
    but us it as an experiment
  * Secure URI for watch file

 -- Andreas Tille <tille@debian.org>  Sat, 09 Dec 2017 07:53:15 +0100

gdpc (2.2.5-6) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Move packaging from SVN to Git
  * Fix spelling

  [ Canberk Koç ]
  * Test script added.

  [ Sascha Steinbiss ]
  * Fix segfaults

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 24 Jul 2016 01:39:50 +0300

gdpc (2.2.5-5) unstable; urgency=medium

  * Fix implicit function declarations (Thanks for the patch to  Logan Rosen
    <logan@ubuntu.com>)
    Closes: #815041
  * cme fix dpkg-control
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2016 09:47:36 +0200

gdpc (2.2.5-4) unstable; urgency=medium

  * Remove menu file
  * cme fix dpkg-control
  * Remove outdated d/README.source
  * DEP5 fix
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2016 21:44:53 +0100

gdpc (2.2.5-3) unstable; urgency=low

  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - Use anonscm in Vcs fields
  * debian/copyright: DEP5
  * debian/patches/40_fix_gcc4.8_build.patch:
    Fix build with gcc4.8
    Closes: #713652

 -- Andreas Tille <tille@debian.org>  Tue, 15 Oct 2013 14:55:27 +0200

gdpc (2.2.5-2) unstable; urgency=low

  * Do not use -DGDK_DISABLE_DEPRECATED (Thanks to Colin Watson
    <cjwatson@ubuntu.com> for the patch)
    Closes: #642094 (LP: #770768)
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * Debhelper 8 (control+compat)



=== debian/control ===
Source: gdpc
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Étienne Mollier <emollier@debian.org>,
Section: science
Build-Depends:
 debhelper-compat (= 13),
 libgtk-3-dev,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/med-team/gdpc
Vcs-Git: https://salsa.debian.org/med-team/gdpc.git
Homepage: https://web.archive.org/web/20180212152753/http://www.frantz.fi/software/gdpc.php

Package: gdpc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gdpc-examples (>= ${source:Version}),
Description: visualiser of molecular dynamic simulations
 gpdc is a graphical program for visualising output data from
 molecular dynamics simulations. It reads input in the standard xyz
 format, as well as other custom formats, and can output pictures of
 each frame in JPG or PNG format.

Package: gdpc-examples
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 gdpc (>= ${source:Version}),
Description: example files for the gdpc program
 gpdc is a graphical program for visualising output data from
 molecular dynamics simulations. It reads input in the standard xyz
 format, as well as other custom formats, and can output pictures of
 each frame in JPG or PNG format.
 .
 This package contains examples to be used by the gdpc program.

=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 gdb,
 gdpc-dbgsym | libgtk-3-0t64-dbgsym,
 libc6-dbg,
 libglib2.0-0t64-dbgsym,
 procps,
 xauth,
 xvfb,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
Dversionmangle: s/.*/0.No-Release/
